function onBegin()
	if not getFlag("BMend") then
		disableRetry()
		disableMovement()
		wait(0.5)
		say("ACP6_A_02")
		walk(-4)
		say("ACP6_A_03")
		wait(0.5)
		say("ACP6_A_04")
		walk(8)
		say("ACP6_A_05")
		wait(2)
		say("ACP6_A_06")
		walk(-6)
		say("ACP6_A_07")
		walk(2)
		say("ACP6_A_08")
		wait(3)
		say("ACP6_A_09")
		say("ACP6_A_10")
		say("ACP6_A_11")
		walk(6)
		say("ACP6_A_12")
		setFlag("BMend", true)
		enableMovement()
		enableRetry()
	end
end



function onEnd(level, wasSkipped)
	if wasSkipped then
		setFlag("BMend", true)
		enableMovement()
		enableRetry()
	end
end

